Subject: RE: [Speechsc] mrcpv2-01: DTMF codecs (S 8.15)

From: "Eric Burger" <[email-masked]>
Date: Wed, 11 Feb 2004 11:00:26 -0500

The MUST for RFC2833 was if you do DTMF.  If you don't do DTMF, you don't have to do RFC2833.  That means your example is fine.

> -----Original Message-----
> From: David Oran [mailto:[email-masked]]
> Sent: Monday, February 09, 2004 5:16 PM
> To: Eric Burger; Sarvi Shanmugham
> Cc: IETF SPEECHSC (E-mail)
> Subject: RE: [Speechsc] mrcpv2-01: DTMF codecs (S 8.15)
> 
> 
> --On Monday, February 9, 2004 4:27 PM -0500 Eric Burger 
> <[email-masked]> wrote:
> 
> > I thought that is what I said.
> >
> > DTMF: MUST detect RFC2833, MAY detect in-band.
> >
> I was prevaricating on the MUST for RFC2833 support on the 
> logic that a 
> system which never talks to anything like a telephone (or a gateway 
> thereto) might never need to advertise RFC2833 as a supported codec. 
> Imagine something like the Vocera stuff.
> 
> I don't feel strongly about this so if the WG thinks a MUST 
> is needed for 
> interoperability reasons I'm not going to object.
> 
> Dave.
> 
> > Speech: MAY detect DTMF
> >   DTMF means: MUST detect RFC2833, MAY detect in-band
> >   ... but recall that DTMF is MAY for Speech,
> >       so it is OK to not do DTMF at all.
> >
> >> -----Original Message-----
> >> From: David R. Oran [mailto:[email-masked]]
> >> Sent: Thursday, February 05, 2004 10:48 AM
> >> To: Sarvi Shanmugham; Eric Burger
> >> Cc: IETF SPEECHSC (E-mail)
> >> Subject: Re: [Speechsc] mrcpv2-01: DTMF codecs (S 8.15)
> >>
> >>
> >> --On Tuesday, February 3, 2004 11:33 PM -0800 Sarvi Shanmugham
> >> <[email-masked]> wrote:
> >>
> >> >
> >> >
> >> > Eric Burger wrote:
> >> >
> >> >> How about the DTMF detector MUST support RFC2833 and MAY
> >> detect in-band
> >> >> DTMF tones?  Speech recognition detector MAY support DTMF.
> >>  If it does,
> >> >> it MUST support RFC2833 and MAY detect in-band DTMF.
> >> >>
> >> > I would propose that Speech detector MUST support DTMF
> >> through RFC2833
> >> > and MAY  detect in-band.
> >> >
> >> why MUST? I could imagine a system designed to never talk to
> >> a telephone
> >> and hence never need any DTMF capability. I'd be ok with a
> >> SHOULD, or a
> >> conditional MUST (but I'm not sure how to express the condition).
> >>
> >> Dave.
> >>
> >> > Sarvi
> >> >
> >> >>
> >> >> Sound OK, or is this something that really is up to the
> >> ASR vendors to
> >> >> decide?
> >> >>
> >> >>
> >> >> _______________________________________________
> >> >> Speechsc mailing list
> >> >> [email-masked]
> >> >> https://www1.ietf.org/mailman/listinfo/speechsc
> >> >>
> >> >>
> >> >>
> >> >
> >> >
> >> > _______________________________________________
> >> > Speechsc mailing list
> >> > [email-masked]
> >> > https://www1.ietf.org/mailman/listinfo/speechsc
> >>
> >>
> >>
> >>
> >
> >
> > _______________________________________________
> > Speechsc mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/speechsc
> 
> 
> 
> 
> 
> 

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc